# RPM specfile for the UsbBackup package
# Copyright 2012 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW January 2012
# SCCS: @(#)UsbBackup.spec	1.12 11/20/19 20:17:47
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name UsbBackup
%define version 1.12
%define release 0.0

Summary: Copy RsyncBackup archives to an external (usb) disk or memory stick
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/UsbBackup-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch

License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils grep util-linux gawk findutils tar
%else
Requires: pdksh coreutils grep util-linux gawk findutils tar
%endif
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
You have a collection of archives at, say, /arch and you want to copy them to
an external disk or memory stick so that you have an off site backup.
This interactive script makes it easy for a non technical user achive that regularly.

This is designed to work well with archives created by RsyncBackup

%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/UsbBackup
%doc TODO Hacks License Contributors README backup NotifyBackupDisk
%{_mandir}/man*/UsbBackup.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Thu Jul 02 2015 Alain Williams <addw@phcomp.co.uk>
- Fix bug when too many options are put on the command line
* Sat Nov 17 2012 Alain Williams <addw@phcomp.co.uk>
- Fix reporting of how much disk is used, how much purged, ...
* Tue Aug 14 2012 Alain Williams <addw@phcomp.co.uk>
- Fix bug: disk availability test inverted.
* Thu Aug 02 2012 Alain Williams <addw@phcomp.co.uk>
- Add option --ensure-free, helper program NotifyBackupDisk and a bit of documentation of how to run from cron
* Mon Apr 23 2012 Alain Williams <addw@phcomp.co.uk>
- Add options: --copy-label & --label-log-line1, remove date/time from start of log lines
* Mon Apr 02 2012 Alain Williams <addw@phcomp.co.uk>
- Add auto mode, ability to send mail once done, check disk space, change compression algorithm
* Tue Jan 10 2012 Alain Williams <addw@phcomp.co.uk>
- Increase version number so can build
* Tue Jan 10 2012 Alain Williams <addw@phcomp.co.uk>
- Initial create as an RPM - it had been around for a while before now.
